summaryrefslogtreecommitdiffstats
path: root/target/linux/ramips/base-files
diff options
context:
space:
mode:
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2009-10-23 16:51:51 +0000
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2009-10-23 16:51:51 +0000
commit4f3a09388f325ee4a6e3591bcd1b6224c88eb3e5 (patch)
tree501c324505bf0e66efaa2ff177fd719e53be2540 /target/linux/ramips/base-files
parent1c583f3a1fc86853cccc15713907696a430004f3 (diff)
[ramips] adds ethernet driver, esw needs to be moved to swconfig, driver is missing rt288x support, not a platform device yet
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@18128 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/ramips/base-files')
-rwxr-xr-xtarget/linux/ramips/base-files/etc/uci-defaults/network13
1 files changed, 13 insertions, 0 deletions
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/network b/target/linux/ramips/base-files/etc/uci-defaults/network
new file mode 100755
index 000000000..8d4c6d547
--- /dev/null
+++ b/target/linux/ramips/base-files/etc/uci-defaults/network
@@ -0,0 +1,13 @@
+#!/bin/sh
+RT305X=`cat /proc/cpuinfo | grep RT305`
+[ -z "${RT305X}" ] || {
+ uci batch <<EOF
+set network.lan.ifname=eth0.1
+set network.wan=interface
+set network.wan.ifname=eth0.2
+set network.wan.proto=dhcp
+commit network
+EOF
+}
+
+uci commit network